IdentificationCriteriaByIdGenerationImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.union.impl

## Class IdentificationCriteriaByIdGenerationImpl

- java.lang.Object
- - tv.amwa.maj.union.impl.IdentificationCriteriaImpl
  - - tv.amwa.maj.union.impl.IdentificationCriteriaByIdGenerationImpl

- All Implemented Interfaces:
    Serializable, Cloneable, IdentificationCriteria, IdentificationCriteriaByIdGeneration

      public class IdentificationCriteriaByIdGenerationImpl
      extends IdentificationCriteriaImpl
      implements IdentificationCriteriaByIdGeneration, Serializable, Cloneable

  Implementation of a criteria for matching an identification by its generation id.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdentificationCriteriaByIdGenerationImpl(AUID generationID)` Create a new identification criteria with a generation ID.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IdentificationCriteriaByIdGenerationImpl` | `clone()`
    `boolean` | `equals(Object o)`
    `AUID` | `getGenerationID()` Returns the generation id of the identification criteria.
    `int` | `hashCode()`
    `void` | `setGenerationID(AUID generationID)` Sets the generation id of the identification criteria.
    `String` | `toString()` Pseudo-XML representation of this identification criteria.

    - ### Methods inherited from class tv.amwa.maj.union.impl.IdentificationCriteriaImpl

      `getIdentificationCriteriaType`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.union.IdentificationCriteria

      `getIdentificationCriteriaType`

- - ### Constructor Detail

    - #### IdentificationCriteriaByIdGenerationImpl

          public IdentificationCriteriaByIdGenerationImpl(AUID generationID)
                                                   throws NullPointerException

      Create a new identification criteria with a generation ID.

      Parameters:
        `generationID` - Generation identifier to match with this identification criteria.
      Throws:
        `NullPointerException` - The given generation id is `null`.

  - ### Method Detail

    - #### getGenerationID

          public AUID getGenerationID()

      Description copied from interface: `IdentificationCriteriaByIdGeneration`

      Returns the generation id of the identification criteria.

      Specified by:
        `getGenerationID` in interface `IdentificationCriteriaByIdGeneration`
      Returns:
        Generation id of the identification criteria.

    - #### setGenerationID

          public void setGenerationID(AUID generationID)
                               throws NullPointerException

      Description copied from interface: `IdentificationCriteriaByIdGeneration`

      Sets the generation id of the identification criteria.

      Specified by:
        `setGenerationID` in interface `IdentificationCriteriaByIdGeneration`
      Parameters:
        `generationID` - Set the generation id of the identification criteria.
      Throws:
        `NullPointerException` - The given generation id is `null`.

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Pseudo-XML representation of this identification criteria. No corresponding XML schema or DTD is defined. For example:

           <IdentificationCriteria generationId="urn:uuid:7ab65789-dfed-7891-f6b7-a8d67892"/>

      Overrides:
        `toString` in class `Object`
      Returns:
        String representation of an identification criteria defined by generation id.

    - #### clone

          public IdentificationCriteriaByIdGenerationImpl clone()
                                                         throws CloneNotSupportedException

      Overrides:
        `clone` in class `Object`
      Throws:
        `CloneNotSupportedException`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.